Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Class ConstantException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.springframework.core.ConstantException

All Implemented Interfaces:
  java.io.Serializable

    public class ConstantException

extends java.lang.IllegalArgumentException

Exception thrown when the `Constants` class is asked for an invalid constant name.

Since:
  28.04.2003
Author:
  Rod Johnson
See Also:
  `Constants`, Serialized Form

Constructor Summary
`ConstantException(java.lang.String className, java.lang.String namePrefix, java.lang.Object value)` Thrown when an invalid constant value is looked up.
`ConstantException(java.lang.String className, java.lang.String field, java.lang.String message)` Thrown when an invalid constant name is requested.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantException

    public ConstantException(java.lang.String className,
                             java.lang.String field,
                             java.lang.String message)

  Thrown when an invalid constant name is requested.

  Parameters:
    `className` - name of the class containing the constant definitions
    `field` - invalid constant name
    `message` - description of the problem

### ConstantException

    public ConstantException(java.lang.String className,
                             java.lang.String namePrefix,
                             java.lang.Object value)

  Thrown when an invalid constant value is looked up.

  Parameters:
    `className` - name of the class containing the constant definitions
    `namePrefix` - prefix of the searched constant names
    `value` - the looked up constant value

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD